## mx4j
Class MBeanDescriptionAdapter

    java.lang.Object
      mx4j.MBeanDescriptionAdapter

All Implemented Interfaces:
  MBeanDescription

Direct Known Subclasses:
  CosNamingServiceMBeanDescription, DefaultMBeanServerInterceptorMBeanDescription, HttpAdaptorMBeanDescription, InvokerMBeanServerInterceptorMBeanDescription, JythonRunnerMBeanDescription, MBeanServerInterceptorConfiguratorMBeanDescription, NamingServiceMBeanDescription, ProcessorMBeanDescription, SecurityMBeanServerInterceptorMBeanDescription, SSLAdaptorServerSocketFactoryMBeanDescription, StatisticsRecorderMBeanDescription

public class MBeanDescriptionAdapter
extends java.lang.Object
implements MBeanDescription

Default implementation for the MBeanDescription interface.

Version:
  $Revision: 1.5 $

Constructor Summary
`MBeanDescriptionAdapter()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.
`java.lang.String` `getConstructorDescription(java.lang.reflect.Constructor ctor)` Should return the description for the given constructor of the MBean.
`java.lang.String` `getConstructorParameterDescription(java.lang.reflect.Constructor ctor, int index)` Should return the description for the constructor's parameter for the given constructor and parameter index.
`java.lang.String` `getConstructorParameterName(java.lang.reflect.Constructor ctor, int index)` Should return the name of the constructor's parameter for the given constructor and parameter index.
`java.lang.String` `getMBeanDescription()` Should return the description of the MBean.
`java.lang.String` `getOperationDescription(java.lang.reflect.Method operation)` Should return the description for the specified operation.
`java.lang.String` `getOperationParameterDescription(java.lang.reflect.Method method, int index)` Should return the description for the operations's parameter for the given operation and parameter index.
`java.lang.String` `getOperationParameterName(java.lang.reflect.Method method, int index)` Should return the name of the operation's parameter for the given operation and parameter index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanDescriptionAdapter

    public MBeanDescriptionAdapter()

Method Detail

### getMBeanDescription

    public java.lang.String getMBeanDescription()

  Description copied from interface: `MBeanDescription`
  Should return the description of the MBean. For example: "This MBean is the rmiregistry service"

  Specified by:
    `getMBeanDescription` in interface `MBeanDescription`

### getConstructorDescription

    public java.lang.String getConstructorDescription(java.lang.reflect.Constructor ctor)

  Description copied from interface: `MBeanDescription`
  Should return the description for the given constructor of the MBean. For example: "Creates an rmiregistry instance on the specified port"

  Specified by:
    `getConstructorDescription` in interface `MBeanDescription`

### getConstructorParameterName

    public java.lang.String getConstructorParameterName(java.lang.reflect.Constructor ctor,
                                                        int index)

  Description copied from interface: `MBeanDescription`
  Should return the name of the constructor's parameter for the given constructor and parameter index. For example: "port"

  Specified by:
    `getConstructorParameterName` in interface `MBeanDescription`

### getConstructorParameterDescription

    public java.lang.String getConstructorParameterDescription(java.lang.reflect.Constructor ctor,
                                                               int index)

  Description copied from interface: `MBeanDescription`
  Should return the description for the constructor's parameter for the given constructor and parameter index. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getConstructorParameterDescription` in interface `MBeanDescription`

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`

### getOperationDescription

    public java.lang.String getOperationDescription(java.lang.reflect.Method operation)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified operation. For example: "Binds the given object to the given name"

  Specified by:
    `getOperationDescription` in interface `MBeanDescription`

### getOperationParameterName

    public java.lang.String getOperationParameterName(java.lang.reflect.Method method,
                                                      int index)

  Description copied from interface: `MBeanDescription`
  Should return the name of the operation's parameter for the given operation and parameter index. For example: "bindName"

  Specified by:
    `getOperationParameterName` in interface `MBeanDescription`

### getOperationParameterDescription

    public java.lang.String getOperationParameterDescription(java.lang.reflect.Method method,
                                                             int index)

  Description copied from interface: `MBeanDescription`
  Should return the description for the operations's parameter for the given operation and parameter index. For example: "The name to which the object will be bound to"

  Specified by:
    `getOperationParameterDescription` in interface `MBeanDescription`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.